Bug 536723 - anaconda ftp install crashes when no mirrors are available
anaconda ftp install crashes when no mirrors are available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-10 23:06 EST by shmuel siegel
Modified: 2014-01-21 18:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:24:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shmuel siegel 2009-11-10 23:06:01 EST
anaconda ftp install from fc12 rc1 crashed in yumRepo.py line 828 because of nomoremirrorsrepoerror. The condition was real; the mirrors were not functioning properly at the time. It should probably catch the condition and 
allow the user to try again.
Comment 1 Chris Lumens 2009-11-11 10:09:16 EST
Can you please attach the complete traceback to this bug report?  Thanks.
Comment 2 shmuel siegel 2009-11-11 16:49:58 EST
I'd love to but can't find it. The traceback dialog very kindly offered to save it to the local disk so I let it. It didn't offer to let me choose the place, neither did it tell me where it put it. Instead it just rebooted. Since only a cd was mounted at the time, I have no idea where to find the traceback, or even its name.
I also believe that circumstances for the bug were quite unique, i.e., not easily reproduced by me. This was the day that anaconda was looking for Fedora, but the mirrors were all pointing to Rawhide. So yum would go through the entire mirror list, rejecting each mirror one at a time until it ran out of mirrors. I believe that anaconda was still trying to determine dependencies. This was after I configured the list of optional packages that I wanted.
Sorry, unless you can tell me where to find the traceback, this is all I have to offer.
Comment 3 Hans de Goede 2009-11-17 08:21:20 EST
(In reply to comment #2)
> I'd love to but can't find it.

Bummer, in that case I'm afraid we will have to close this because of insufficient data.
Comment 4 shmuel siegel 2009-11-17 18:23:31 EST
Reopening in the hope that this information helps.

Preupgrade-cli to fc12 gave a similar error with no option to retry. This was after downloading nearly 2G of file. Very annoying. Does this help?

Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 305, in <module>
    pu.main(myrelease)
  File "/usr/share/preupgrade/preupgrade-cli.py", line 268, in main
    comps = self.instrepo.retrieveMD("group")
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1483, in retrieveMD
    return self._retrieveMD(mdtype)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1525, in _retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 808, in _getFile
    raise Errors.NoMoreMirrorsRepoError, errstr
yum.Errors.NoMoreMirrorsRepoError: failure: repodata/ecb5379465800b5e41791db6e9f0c03bfa7a4ef05bee1ceb6cf762c120b24ea2-co
mps-rawhide.xml from preupgrade: [Errno 256] No more mirrors to try.
Comment 5 Chris Lumens 2009-11-18 08:55:39 EST
That's not even a traceback from anaconda, so I'm reassigning this bug to the right component.
Comment 6 Fedora Admin XMLRPC Client 2010-04-16 10:35:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Bug Zapper 2010-11-04 02:33:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 22:24:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.